
Ruby - Bug #1433

test_sprintf_p fails

05/05/2009 09:52 AM - naruse (Yui NARUSE)

Status: Closed   

Priority: Normal   

Assignee: usa (Usaku NAKAMURA)   

Target version: 1.9.1   

ruby -v: ruby 1.9.2dev (2009-05-02 trunk 23326)

[x86_64-freebsd7.2]

Backport:  

Description

=begin

test_sprintf_p(TestM17N) [/home/naruse/git/ruby/test/ruby/test_m17n.rb:773]:

<#Encoding:US-ASCII> expected but was

<#Encoding:ASCII-8BIT>.

1.9.1のパッチリリースのblocking bugである本件ですが、

これはテスト側を動作に合わせるべきだと思っています。

この部分を最後に修正したのはうささんのようですが、どう思われますか。

あと他の方も。

=end

History

#1 - 05/07/2009 11:48 AM - usa (Usaku NAKAMURA)

=begin

こんにちは、なかむら(う)です。

In message "[ruby-dev:38374] [Bug #1433] test_sprintf_p fails"

on May.05,2009 09:52:14, redmine@ruby-lang.org wrote:

この部分を最後に修正したのはうささんのようですが、どう思われますか。

あと他の方も。

 たぶんr15117に追従したテストの変更だと思いますが、当時の仕様

としては正しかったのでしょう。

なんで幅指定があるときだけUS-ASCIIになるべきだったのかは今考

えても思い出せないのですが(なかださんわかりますか?)、当時と現

状で動作が異なるということは、現状の動作にした方に説明してい

ただくのがよいかと思います。誰のどの変更だろう?

それでは。

U.Nakamura usa@garbagecollect.jp

=end

#2 - 05/07/2009 02:23 PM - naruse (Yui NARUSE)

=begin

成瀬です。

(2009/05/07 11:48), U.Nakamura さんは書きました:

こんにちは、なかむら(う)です。

In message "[ruby-dev:38374] [Bug #1433] test_sprintf_p fails"

on May.05,2009 09:52:14, redmine@ruby-lang.org wrote:

この部分を最後に修正したのはうささんのようですが、どう思われますか。

あと他の方も。

 たぶんr15117に追従したテストの変更だと思いますが、当時の仕様
としては正しかったのでしょう。

なんで幅指定があるときだけUS-ASCIIになるべきだったのかは今考

えても思い出せないのですが(なかださんわかりますか?)、当時と現

状で動作が異なるということは、現状の動作にした方に説明してい

ただくのがよいかと思います。誰のどの変更だろう?

 r23186とr23187のわたしの変更なようです。

当時どうしたんだっけ、テストでエラーがでるけどこれはいっかと思ったような、

とりあえずテストはおいておくかと思ったような。

エンコーディングの変更は意図したものではないんですが、

結果的には他との整合性を考えても、元のエンコーディングを保持するという

現状の動作が正しいのではないかと思います。

当時は元のエンコーディングに関係なく、7bitならばUS-ASCIIというルールが

あったので、

そのためにUS-ASCIIになっていたのですが、それはその後変更されており、

このテストでも当該assert以外はASCII-8BITに変更されています。

US-ASCIIになるルールが廃止された時点でこのテストと、

これに対応する挙動が誤っていたという感じですかね。

--

NARUSE, Yui

=end

#3 - 07/13/2009 11:59 PM - yugui (Yuki Sonoda)

- Status changed from Assigned to Closed

=begin

=end
